Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderConstants

public interface OrderConstants

This class consists of certain constants related to Order

Field Summary
`static int` | `LINE_SHIPPING` Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level shipping
`static int` | `LINE_TAX` Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level tax
`static int` | `LINE_UNIT_PRICE_TIMES_QUANTITY` Constant to denote that the total returned from getTotal() or getLineTotal() should include the sum of unit price times the quanity.
`static int` | `ORDER_SHIPPING` Constant to denote that the total returned from getTotal() or getLineTotal() should include order level shipping
`static String` | `ORDER_STATUS_NEW` Order status string at the time they are created.

Field Detail

### LINE_SHIPPING

    public static final int LINE_SHIPPING

  Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level shipping

  See Also:
    Constant Field Values

### LINE_TAX

    public static final int LINE_TAX

  Constant to denote that the total returned from getTotal() or getLineTotal() should include order line level tax

  See Also:
    Constant Field Values

### LINE_UNIT_PRICE_TIMES_QUANTITY

    public static final int LINE_UNIT_PRICE_TIMES_QUANTITY

  Constant to denote that the total returned from getTotal() or getLineTotal() should include the sum of unit price times the quanity.

  See Also:
    Constant Field Values

### ORDER_SHIPPING

    public static final int ORDER_SHIPPING

  Constant to denote that the total returned from getTotal() or getLineTotal() should include order level shipping

  See Also:
    Constant Field Values

### ORDER_STATUS_NEW

    public static final String ORDER_STATUS_NEW

  Order status string at the time they are created.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved